This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 627980 - fails to hibernate/suspend to disk
fails to hibernate/suspend to disk
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
15
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks: kernel_hibernate
  Show dependency treegraph
 
Reported: 2010-08-27 10:56 EDT by long
Modified: 2012-06-04 11:22 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-04 11:22:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
shows attempt to suspend (3.87 KB, application/octet-stream)
2010-08-27 10:56 EDT, long
no flags Details
Xorg.0.log (139.11 KB, application/octet-stream)
2010-08-27 10:57 EDT, long
no flags Details
2.6.34.6-54.fc13.x86_64 /var/log/messages (114.75 KB, text/plain)
2010-09-14 11:41 EDT, long
no flags Details
/var/log/messages after rmmod vbox* (253.05 KB, text/plain)
2010-09-16 11:59 EDT, long
no flags Details
f15 dmesg (122.98 KB, text/plain)
2011-06-02 10:42 EDT, long
no flags Details
f15 messages (482.96 KB, text/plain)
2011-06-02 10:44 EDT, long
no flags Details
f15 Xorg log (49.07 KB, text/plain)
2011-06-02 10:46 EDT, long
no flags Details
f15 suspend log (6.53 KB, text/plain)
2011-06-02 10:47 EDT, long
no flags Details

  None (edit)
Description long 2010-08-27 10:56:39 EDT
Created attachment 441532 [details]
shows attempt to suspend

Description of problem:
Have KDE set to suspend to disk after X minutes of inactivity.  Came in this morning to find the computer still running.  Fan(s) was going full blast.  Computer light was on.  Can't remember if displays were still on.  Keyboard and mouse did not respond.  Pushing computer power button did nothing.  Had to hold down computer power button to shut it off.  Logs with anything interesting will be attached.

Version-Release number of selected component (if applicable):
kernel-2.6.33.8-149.fc13.x86_64

How reproducible:
only tried once

Steps to Reproduce:
1. set KDE to suspend after X minutes of inactivity
2. wait for computer to attempt to hibernate
3.
  
Actual results:
See description

Expected results:
Computer to be off with state suspended to disk.

Additional info:
Comment 1 long 2010-08-27 10:57:46 EDT
Created attachment 441534 [details]
Xorg.0.log

Think last line here is when it attempts to suspend.
Comment 2 Chuck Ebbert 2010-08-27 12:18:23 EDT
Please try kernel-2.6.34.6-47.fc13 when it becomes available in updates-testing.
Comment 3 long 2010-09-09 09:56:15 EDT
I'm still seeing the same problem.  One additional note, the displays were off when I came in but they appeared to re-awaken when I pushed the power button.  They both showed a blinking underline cursor in the upper-left corner.  This is also now happening when I set it to Suspend to RAM whereas that used to work in 2.6.33.x.
Comment 4 long 2010-09-09 10:18:07 EDT
Just saw the notice for 2.6.34.6-54.  Will try that shortly.
Comment 5 Chuck Ebbert 2010-09-13 16:15:38 EDT
(In reply to comment #4)
> Just saw the notice for 2.6.34.6-54.  Will try that shortly.

Did it work?
Comment 6 long 2010-09-14 11:39:22 EDT
nope, this time I got kernel dumps.  I'll upload /var/log/messages.  Let me know if you would like anything else.  Just search for 'GPU lockup'.
Comment 7 long 2010-09-14 11:41:01 EDT
Created attachment 447251 [details]
2.6.34.6-54.fc13.x86_64 /var/log/messages
Comment 8 Chuck Ebbert 2010-09-14 22:28:57 EDT
kernel: [drm:drm_mode_getfb] *ERROR* invalid framebuffer id
kernel: radeon 0000:04:00.0: GPU lockup CP stall for more than 1000msec
kernel: ------------[ cut here ]------------
kernel: WARNING: at drivers/gpu/drm/radeon/radeon_fence.c:235 radeon_fence_wait+0x24c/0x2ea [radeon]()
kernel: Hardware name: Studio XPS 435MT
kernel: GPU lockup (waiting for 0x02357F30 last fence id 0x02357F2F)

Does it still happen without the vbox drivers?
Comment 9 long 2010-09-16 11:58:38 EDT
Yes, similar symptoms happened after I rmmod vbox* and allowed it to hibernate.  I'll upload another copy of /var/log/messages that shows what happened this morning.
Comment 10 long 2010-09-16 11:59:43 EDT
Created attachment 447780 [details]
/var/log/messages after rmmod vbox*
Comment 11 Bug Zapper 2011-05-31 11:18:43 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 long 2011-06-02 10:40:44 EDT
This is still happening in f15 kernel-2.6.38.6-27.fc15.x86_64 with or without the virtualbox drivers loaded.  I'll upload some logs after this.
Comment 13 long 2011-06-02 10:42:19 EDT
Created attachment 502553 [details]
f15 dmesg
Comment 14 long 2011-06-02 10:44:59 EDT
Created attachment 502556 [details]
f15 messages
Comment 15 long 2011-06-02 10:46:29 EDT
Created attachment 502557 [details]
f15 Xorg log
Comment 16 long 2011-06-02 10:47:29 EDT
Created attachment 502558 [details]
f15 suspend log
Comment 17 Josh Boyer 2012-03-28 14:02:11 EDT
[Mass hibernate bug update]

Dave Airlied has found an issue causing some corruption in the i915 fbdev after a resume from hibernate.  I have included his patch in this scratch build:

http://koji.fedoraproject.org/koji/taskinfo?taskID=3940545

This will probably not solve all of the issues being tracked at the moment, but it is worth testing when the build completes.  If this seems to clear up the issues you see with hibernate, please report your results in the bug.

Note You need to log in before you can comment on or make changes to this bug.